Bug 492263 - [RHEL 5] tzdata incorrect from Africa/Cairo
[RHEL 5] tzdata incorrect from Africa/Cairo
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tzdata (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Petr Machata
BaseOS QE
:
Depends On:
Blocks: 495488 495489 495490
  Show dependency treegraph
 
Reported: 2009-03-26 05:20 EDT by Tru Huynh
Modified: 2015-05-04 21:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 495488 495489 495490 (view as bug list)
Environment:
Last Closed: 2009-04-15 05:44:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 3441 None None None Never
Red Hat Product Errata RHEA-2009:0422 normal SHIPPED_LIVE tzdata enhancement update 2009-04-15 05:44:33 EDT

  None (edit)
Description Tru Huynh 2009-03-26 05:20:23 EDT
Description of problem:
wrong end date for DST Africa/Cairo 2009

Version-Release number of selected component (if applicable):
tzdata-2008i-1.el5.noarch

How reproducible:
always

Steps to Reproduce:
1. zdump -v /usr/share/zoneinfo/Africa/Cairo | grep 2009
/usr/share/zoneinfo/Africa/Cairo  Thu Apr 23 21:59:59 2009 UTC = Thu Apr 23 23:59:59 2009 EET isdst=0 gmtoff=7200
/usr/share/zoneinfo/Africa/Cairo  Thu Apr 23 22:00:00 2009 UTC = Fri Apr 24 01:00:00 2009 EEST isdst=1 gmtoff=10800
/usr/share/zoneinfo/Africa/Cairo  Thu Aug 27 20:59:59 2009 UTC = Thu Aug 27 23:59:59 2009 EEST isdst=1 gmtoff=10800
/usr/share/zoneinfo/Africa/Cairo  Thu Aug 27 21:00:00 2009 UTC = Thu Aug 27 23:00:00 2009 EET isdst=0 gmtoff=7200

2.
3.
  
Actual results:

end date should be Thu Sep 24 2009 (Last Thursday in September at 23:59:59)
http://support.microsoft.com/kb/958729/
Expected results:


Additional info:
Comment 1 Petr Machata 2009-04-06 09:22:24 EDT
If I understand it correctly, Cairo DST should switch at midnight of local time.  That's what I see in your output.  Is it supposed to be midnight UTC?  Can you reference any materials supporting that claim?  Thanks.
Comment 2 Petr Machata 2009-04-06 09:24:27 EDT
Disregard that, you talk about the end date.
Comment 9 errata-xmlrpc 2009-04-15 05:44:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0422.html

Note You need to log in before you can comment on or make changes to this bug.